Lorene::Map_log Class Reference
Mapping grid -> physical space (spherical coordinates)

Logarithmic radial mapping. More...

`#include <map.h>`

Inheritance diagram for Lorene::Map_log:

## Public Member Functions

| Map_log (const Mg3d &mgrille, const Tbl &r_limits, const Itbl &typevar)
| Standard Constructor.
| Map_log (const Map_log &)
| Copy constructor.
| Map_log (const Mg3d &, FILE *)
| Constructor from a file (see `sauve(FILE*)`.
virtual | ~Map_log ()
| Destructor.
virtual const Map_af & | mp_angu (int) const
| Returns the "angular" mapping for the outside of domain `l_zone`.
double | get_alpha (int l) const
| Returns in the domain `l`.
double | get_beta (int l) const
| Returns in the domain `l`.
int | get_type (int l) const
| Returns the type of description in the domain `l`.
void | sol_elliptic (Param_elliptic &params, const Scalar &so, Scalar &uu) const
| General elliptic solver.
void | sol_elliptic_boundary (Param_elliptic &params, const Scalar &so, Scalar &uu, const Mtbl_cf &bound, double fact_dir, double fact_neu) const
| General elliptic solver including inner boundary conditions.
void | sol_elliptic_boundary (Param_elliptic &params, const Scalar &so, Scalar &uu, const Scalar &bound, double fact_dir, double fact_neu) const
| General elliptic solver including inner boundary conditions, the bound being given as a Scalar on a mono-domain angular grid.
void | sol_elliptic_no_zec (Param_elliptic &params, const Scalar &so, Scalar &uu, double) const
| General elliptic solver.
virtual void | sauve (FILE *) const
| Save in a file.
virtual void | operator= (const Map_af &mpa)
| Assignment to an affine mapping.
virtual ostream & | operator>> (ostream &) const
| Operator >>.
virtual double | val_r (int l, double xi, double theta, double pphi) const
| Returns the value of the radial coordinate r for a given in a given domain.
virtual void | val_lx (double rr, double theta, double pphi, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point given by its physical coordinates .
virtual void | val_lx (double rr, double theta, double pphi, const Param &par, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point given by its physical coordinates .
virtual bool | operator== (const Map &) const
| Comparison operator (egality).
virtual double | val_r_jk (int l, double xi, int j, int k) const
| < Comparison operator
virtual void | val_lx_jk (double rr, int j, int k, const Param &par, int &l, double &xi) const
| Computes the domain index l and the value of corresponding to a point of arbitrary r but collocation values of .
virtual void | dsdr (const Scalar &ci, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | dsdxi (const Scalar &ci, Scalar &resu) const
| Computes of a `Scalar`.
virtual void | dsdradial (const Scalar &uu, Scalar &resu) const
| Computes of a `Scalar` if the description is affine and if it is logarithmic.
virtual void | homothetie (double)
virtual void | resize (int, double)
| < Not implemented
virtual void | adapt (const Cmp &, const Param &, int)
| < Not implemented
virtual void | dsdr (const Cmp &, Cmp &) const
| < Not implemented
virtual void | dsdxi (const Cmp &, Cmp &) const
| < Not implemented
virtual void | srdsdt (const Cmp &, Cmp &) const
| < Not implemented
virtual void | srstdsdp (const Cmp &, Cmp &) const
| < Not implemented
virtual void | srdsdt (const Scalar &, Scalar &) const
| < Not implemented
virtual void | srstdsdp (const Scalar &, Scalar &) const
| < Not implemented
virtual void | dsdt (const Scalar &, Scalar &) const
| < Not implemented
virtual void | stdsdp (const Scalar &, Scalar &) const
| < Not implemented
virtual void | laplacien (const Scalar &, int, Scalar &) const
| < Not implemented
virtual void | laplacien (const Cmp &, int, Cmp &) const
| < Not implemented
virtual void | lapang (const Scalar &, Scalar &) const
| < Not implemented
virtual void | primr (const Scalar &, Scalar &, bool) const
| < Not implemented
virtual Tbl * | integrale (const Cmp &) const
| < Not implemented
virtual void | poisson (const Cmp &, Param &, Cmp &) const
| < Not implemented
virtual void | poisson_tau (const Cmp &, Param &, Cmp &) const
| < Not implemented
virtual void | poisson_falloff (const Cmp &, Param &, Cmp &, int) const
| < Not implemented
virtual void | poisson_ylm (const Cmp &, Param &, Cmp &, int, double *) const
| < Not implemented
virtual void | poisson_regular (const Cmp &, int, int, double, Param &, Cmp &, Cmp &, Cmp &, Tenseur &, Cmp &, Cmp &) const
| < Not implemented
virtual void | poisson_angu (const Scalar &, Param &, Scalar &, double=0) const
| < Not implemented
virtual Param * | donne_para_poisson_vect (Param &, int) const
| < Not implemented
virtual void | poisson_frontiere (const Cmp &, const Valeur &, int, int, Cmp &, double=0., double=0.) const
| < Not implemented
virtual void | poisson_frontiere_double (const Cmp &, const Valeur &, const Valeur &, int, Cmp &) const
| < Not implemented
virtual void | poisson_interne (const Cmp &, const Valeur &, Param &, Cmp &) const
| < Not implemented
virtual void | poisson2d (const Cmp &, const Cmp &, Param &, Cmp &) const
| < Not implemented
virtual void | dalembert (Param &, Scalar &, const Scalar &, const Scalar &, const Scalar &) const
| < Not implemented
virtual void | reevaluate (const Map *mp_prev, int nzet, Cmp &uu) const
| Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.
virtual void | reevaluate (const Map *mp_prev, int nzet, Scalar &uu) const
| Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.
virtual void | reevaluate_symy (const Map *mp_prev, int nzet, Cmp &uu) const
| Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.
virtual void | reevaluate_symy (const Map *mp_prev, int nzet, Scalar &uu) const
| Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.
virtual void | mult_r (Scalar &uu) const
| Multiplication by r of a `Scalar`, the `dzpuis` of `uu` is not changed.
virtual void | mult_r (Cmp &ci) const
| Multiplication by r of a `Cmp`.
virtual void | mult_r_zec (Scalar &) const
| Multiplication by r (in the compactified external domain only) of a `Scalar`.
virtual void | mult_rsint (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_rsint (Scalar &) const
| Division by of a `Scalar`.
virtual void | div_r (Scalar &) const
| Division by r of a `Scalar`.
virtual void | div_r_zec (Scalar &) const
| Division by r (in the compactified external domain only) of a `Scalar`.
virtual void | mult_cost (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_cost (Scalar &) const
| Division by of a `Scalar`.
virtual void | mult_sint (Scalar &) const
| Multiplication by of a `Scalar`.
virtual void | div_sint (Scalar &) const
| Division by of a `Scalar`.
virtual void | div_tant (Scalar &) const
| Division by of a `Scalar`.
virtual void | comp_x_from_spherical (const Scalar &v_r, const Scalar &v_theta, const Scalar &v_phi, Scalar &v_x) const
| Computes the Cartesian x component (with respect to `bvect_cart`) of a vector given by its spherical components with respect to `bvect_spher`.
virtual void | comp_x_from_spherical (const Cmp &v_r, const Cmp &v_theta, const Cmp &v_phi, Cmp &v_x) const
| `Cmp` version
virtual void | comp_y_from_spherical (const Scalar &v_r, const Scalar &v_theta, const Scalar &v_phi, Scalar &v_y) const
| Computes the Cartesian y component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .
virtual void | comp_y_from_spherical (const Cmp &v_r, const Cmp &v_theta, const Cmp &v_phi, Cmp &v_y) const
| `Cmp` version
virtual void | comp_z_from_spherical (const Scalar &v_r, const Scalar &v_theta, Scalar &v_z) const
| Computes the Cartesian z component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .
virtual void | comp_z_from_spherical (const Cmp &v_r, const Cmp &v_theta, Cmp &v_z) const
| `Cmp` version
virtual void | comp_r_from_cartesian (const Scalar &v_x, const Scalar &v_y, const Scalar &v_z, Scalar &v_r) const
| Computes the Spherical r component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_r_from_cartesian (const Cmp &v_x, const Cmp &v_y, const Cmp &v_z, Cmp &v_r) const
| `Cmp` version
virtual void | comp_t_from_cartesian (const Scalar &v_x, const Scalar &v_y, const Scalar &v_z, Scalar &v_t) const
| Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_t_from_cartesian (const Cmp &v_x, const Cmp &v_y, const Cmp &v_z, Cmp &v_t) const
| `Cmp` version
virtual void | comp_p_from_cartesian (const Scalar &v_x, const Scalar &v_y, Scalar &v_p) const
| Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .
virtual void | comp_p_from_cartesian (const Cmp &v_x, const Cmp &v_y, Cmp &v_p) const
| `Cmp` version
virtual void | dec_dzpuis (Scalar &) const
| Decreases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | dec2_dzpuis (Scalar &) const
| Decreases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | inc_dzpuis (Scalar &) const
| Increases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | inc2_dzpuis (Scalar &) const
| Increases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).
virtual void | poisson_compact (const Cmp &source, const Cmp &aa, const Tenseur &bb, const Param &par, Cmp &psi) const
| Resolution of the elliptic equation in the case where the stellar interior is covered by a single domain.
virtual void | poisson_compact (int nzet, const Cmp &source, const Cmp &aa, const Tenseur &bb, const Param &par, Cmp &psi) const
| Resolution of the elliptic equation in the case of a multidomain stellar interior.

## Public Attributes

Coord | dxdlnr
| Same as dxdr if the domains where the description is affine and where it is logarithmic.
Coord | xsr
| in the nucleus; \ 1/R in the non-compactified shells; \ in the compactified outer domain.
Coord | dxdr
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | drdt
| in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).
Coord | stdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).
Coord | srdrdt
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | srstdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2drdt
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2stdrdp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | d2rdx2
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | lapr_tp
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | d2rdtdx
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sstd2rdpdx
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.
Coord | sr2d2rdt2
| in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

## Protected Member Functions

virtual void | reset_coord ()
| Resets all the member `Coords`.

## Private Member Functions

void | set_coord ()

## Private Attributes

Tbl | alpha
| Array (size: `mg->nzone` ) of the values of in each domain.
Tbl | beta
| Array (size: `mg->nzone` ) of the values of in each domain.
Itbl | type_var
| Array (size: `mg->nzone` ) of the type of variable in each domain.

## Friends

Mtbl * | map_log_fait_r (const Map *cvi)
| < Not implemented
Mtbl * | map_log_fait_tet (const Map *cvi)
Mtbl * | map_log_fait_phi (const Map *cvi)
Mtbl * | map_log_fait_sint (const Map *cvi)
Mtbl * | map_log_fait_cost (const Map *cvi)
Mtbl * | map_log_fait_sinp (const Map *cvi)
Mtbl * | map_log_fait_cosp (const Map *cvi)
Mtbl * | map_log_fait_x (const Map *cvi)
Mtbl * | map_log_fait_y (const Map *cvi)
Mtbl * | map_log_fait_z (const Map *cvi)
Mtbl * | map_log_fait_xa (const Map *cvi)
Mtbl * | map_log_fait_ya (const Map *cvi)
Mtbl * | map_log_fait_za (const Map *cvi)
Mtbl * | map_log_fait_xsr (const Map *cvi)
Mtbl * | map_log_fait_dxdr (const Map *cvi)
Mtbl * | map_log_fait_drdt (const Map *cvi)
Mtbl * | map_log_fait_stdrdp (const Map *cvi)
Mtbl * | map_log_fait_srdrdt (const Map *cvi)
Mtbl * | map_log_fait_srstdrdp (const Map *cvi)
Mtbl * | map_log_fait_sr2drdt (const Map *cvi)
Mtbl * | map_log_fait_sr2stdrdp (const Map *cvi)
Mtbl * | map_log_fait_d2rdx2 (const Map *cvi)
Mtbl * | map_log_fait_lapr_tp (const Map *cvi)
Mtbl * | map_log_fait_d2rdtdx (const Map *cvi)
Mtbl * | map_log_fait_sstd2rdpdx (const Map *cvi)
Mtbl * | map_log_fait_sr2d2rdt2 (const Map *cvi)
Mtbl * | map_log_fait_dxdlnr (const Map *cvi)

## Detailed Description

Logarithmic radial mapping.

()

This mapping is a variation of the affine one.

In each domain the description can be either affine (cf. Map_af documentation) or logarithmic. In that case (implemented only in the shells) we have

- , where and are constant in each domain.

Definition at line 3583 of file map.h.

## Constructor & Destructor Documentation

## Map_log() [1/3]

Lorene::Map_log::Map_log | ( | const Mg3d & | mgrille,
|  | const Tbl & | r_limits,
|  | const Itbl & | typevar )

Standard Constructor.

Parameters

  mgrille | [input] Multi-domain grid on which the mapping is defined

  r_limits

  [input] Tbl (size: number of domains + 1) of the value of r at the boundaries of the various domains :
  - `r_limits`[l] : inner boundary of the domain no. `l`
  - `r_limits`[l+1] : outer boundary of the domain no. `l`

  type_var | [input] Array (size: number of domains) defining the type f mapping in each domain.

Definition at line 67 of file map_log.C.

References alpha, beta, Lorene::log(), Lorene::Map_radial::Map_radial(), and type_var.

## Map_log() [2/3]

Lorene::Map_log::Map_log | ( | const Map_log & | so | ) |

Copy constructor.

Definition at line 139 of file map_log.C.

References alpha, beta, Map_log(), Lorene::Map_radial::Map_radial(), and type_var.

## Map_log() [3/3]

Lorene::Map_log::Map_log | ( | const Mg3d & | mgrille,
|  | FILE * | fd )

Constructor from a file (see `sauve(FILE*)`.

Definition at line 145 of file map_log.C.

References alpha, beta, Lorene::Map_radial::Map_radial(), and type_var.

## ~Map_log()

Lorene::Map_log::~Map_log | ( |  | ) |

virtual

Destructor.

Definition at line 160 of file map_log.C.

## Member Function Documentation

## adapt()

void Lorene::Map_log::adapt | ( | const Cmp & | ,
|  | const Param & | ,
|  | int | )

virtual

< Not implemented

Definition at line 101 of file map_log_pas_fait.C.

## comp_p_from_cartesian() [1/2]

void Lorene::Map_radial::comp_p_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | Cmp & | v_p ) const

virtual inherited

`Cmp` version

Definition at line 176 of file map_radial_comp_rtp.C.

References comp_p_from_cartesian().

## comp_p_from_cartesian() [2/2]

void Lorene::Map_radial::comp_p_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | Scalar & | v_p ) const

virtual inherited

Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_p | [output] -component of the vector

Definition at line 183 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_sp(), and Lorene::Scalar::set_dzpuis().

## comp_r_from_cartesian() [1/2]

void Lorene::Map_radial::comp_r_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | const Cmp & | v_z,
|  | Cmp & | v_r ) const

virtual inherited

`Cmp` version

Definition at line 65 of file map_radial_comp_rtp.C.

References comp_r_from_cartesian().

## comp_r_from_cartesian() [2/2]

void Lorene::Map_radial::comp_r_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | const Scalar & | v_z,
|  | Scalar & | v_r ) const

virtual inherited

Computes the Spherical r component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_z | [input] z-component of the vector
  v_r | [output] r -component of the vector

Definition at line 72 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_t_from_cartesian() [1/2]

void Lorene::Map_radial::comp_t_from_cartesian | ( | const Cmp & | v_x,
|  | const Cmp & | v_y,
|  | const Cmp & | v_z,
|  | Cmp & | v_t ) const

virtual inherited

`Cmp` version

Definition at line 121 of file map_radial_comp_rtp.C.

References comp_t_from_cartesian().

## comp_t_from_cartesian() [2/2]

void Lorene::Map_radial::comp_t_from_cartesian | ( | const Scalar & | v_x,
|  | const Scalar & | v_y,
|  | const Scalar & | v_z,
|  | Scalar & | v_t ) const

virtual inherited

Computes the Spherical component (with respect to `bvect_spher` ) of a vector given by its cartesian components with respect to `bvect_cart` .

Parameters

  v_x | [input] x-component of the vector
  v_y | [input] y-component of the vector
  v_z | [input] z-component of the vector
  v_t | [output] -component of the vector

Definition at line 128 of file map_radial_comp_rtp.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_x_from_spherical() [1/2]

void Lorene::Map_radial::comp_x_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | const Cmp & | v_phi,
|  | Cmp & | v_x ) const

virtual inherited

`Cmp` version

Definition at line 68 of file map_radial_comp_xyz.C.

References comp_x_from_spherical().

## comp_x_from_spherical() [2/2]

void Lorene::Map_radial::comp_x_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | const Scalar & | v_phi,
|  | Scalar & | v_x ) const

virtual inherited

Computes the Cartesian x component (with respect to `bvect_cart`) of a vector given by its spherical components with respect to `bvect_spher`.

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_phi | [input] -component of the vector
  v_x | [output] x-component of the vector

Definition at line 76 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_y_from_spherical() [1/2]

void Lorene::Map_radial::comp_y_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | const Cmp & | v_phi,
|  | Cmp & | v_y ) const

virtual inherited

`Cmp` version

Definition at line 126 of file map_radial_comp_xyz.C.

References comp_y_from_spherical().

## comp_y_from_spherical() [2/2]

void Lorene::Map_radial::comp_y_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | const Scalar & | v_phi,
|  | Scalar & | v_y ) const

virtual inherited

Computes the Cartesian y component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_phi | [input] -component of the vector
  v_y | [output] y-component of the vector

Definition at line 135 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_cp(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_sp(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## comp_z_from_spherical() [1/2]

void Lorene::Map_radial::comp_z_from_spherical | ( | const Cmp & | v_r,
|  | const Cmp & | v_theta,
|  | Cmp & | v_z ) const

virtual inherited

`Cmp` version

Definition at line 184 of file map_radial_comp_xyz.C.

References comp_z_from_spherical().

## comp_z_from_spherical() [2/2]

void Lorene::Map_radial::comp_z_from_spherical | ( | const Scalar & | v_r,
|  | const Scalar & | v_theta,
|  | Scalar & | v_z ) const

virtual inherited

Computes the Cartesian z component (with respect to `bvect_cart` ) of a vector given by its spherical components with respect to `bvect_spher` .

Parameters

  v_r | [input] r -component of the vector
  v_theta | [input] -component of the vector
  v_z | [output] z-component of the vector

Definition at line 192 of file map_radial_comp_xyz.C.

References Lorene::Scalar::check_dzpuis(), Lorene::Scalar::dz_nonzero(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_ct(), Lorene::Valeur::mult_st(), and Lorene::Scalar::set_dzpuis().

## dalembert()

void Lorene::Map_log::dalembert | ( | Param & | ,
|  | Scalar & | ,
|  | const Scalar & | ,
|  | const Scalar & | ,
|  | const Scalar & | ) const

virtual

< Not implemented

Definition at line 192 of file map_log_pas_fait.C.

## dec2_dzpuis()

void Lorene::Map_radial::dec2_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Decreases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 748 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult2_xm1_zec(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## dec_dzpuis()

void Lorene::Map_radial::dec_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Decreases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the compactified external domain (CED).

Definition at line 643 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_xm1_zec(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## div_cost()

void Lorene::Map_radial::div_cost | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 85 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::scost(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## div_r()

void Lorene::Map_radial::div_r | ( | Scalar & | ci | ) | const

virtual inherited

Division by r of a `Scalar`.

Definition at line 514 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sx(), and xsr.

## div_r_zec()

void Lorene::Map_radial::div_r_zec | ( | Scalar & | uu | ) | const

virtual inherited

Division by r (in the compactified external domain only) of a `Scalar`.

Definition at line 585 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_xm1_zec(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and xsr.

## div_rsint()

void Lorene::Map_radial::div_rsint | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 434 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::ssint(), Lorene::Valeur::sx(), and xsr.

## div_sint()

void Lorene::Map_radial::div_sint | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 133 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Valeur::ssint().

## div_tant()

void Lorene::Map_radial::div_tant | ( | Scalar & | ci | ) | const

virtual inherited

Division by of a `Scalar`.

Definition at line 158 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_ct(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), and Lorene::Valeur::ssint().

## donne_para_poisson_vect()

Param * Lorene::Map_log::donne_para_poisson_vect | ( | Param & | ,
|  | int | ) const

virtual

< Not implemented

Definition at line 171 of file map_log_pas_fait.C.

## dsdr() [1/2]

void Lorene::Map_log::dsdr | ( | const Cmp & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 105 of file map_log_pas_fait.C.

## dsdr() [2/2]

void Lorene::Map_log::dsdr | ( | const Scalar & | ci,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 108 of file map_log_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), Lorene::Map_radial::dxdr, Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_xm1_zec(), Lorene::Valeur::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), and Lorene::Scalar::set_spectral_va().

## dsdradial()

void Lorene::Map_log::dsdradial | ( | const Scalar & | uu,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar` if the description is affine and if it is logarithmic.

Note that in the compactified external domain (CED), the `dzpuis` flag of the output is 2 if the input has `dzpuis` = 0, and is increased by 1 in other cases.

Parameters

  uu | [input] field to consider
  resu | [output] derivative of `uu`

Definition at line 162 of file map_log_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), dxdlnr, Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_xm1_zec(), Lorene::Valeur::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), and Lorene::Scalar::set_spectral_va().

## dsdt()

void Lorene::Map_log::dsdt | ( | const Scalar & | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 129 of file map_log_pas_fait.C.

## dsdxi() [1/2]

void Lorene::Map_log::dsdxi | ( | const Cmp & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 109 of file map_log_pas_fait.C.

## dsdxi() [2/2]

void Lorene::Map_log::dsdxi | ( | const Scalar & | ci,
|  | Scalar & | resu ) const

virtual

Computes of a `Scalar`.

Note that in the compactified external domain (CED), it computes .

Parameters

  ci | [input] field to consider
  resu | [output] derivative of `ci`

Definition at line 54 of file map_log_deriv.C.

References Lorene::Valeur::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::coef(), Lorene::Valeur::dsdx(), Lorene::Valeur::get_base(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Valeur::mult_xm1_zec(), Lorene::Valeur::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_base(), and Lorene::Scalar::set_spectral_va().

## get_alpha()

double Lorene::Map_log::get_alpha | ( | int | l | ) | const

inline

Returns in the domain `l`.

Definition at line 3637 of file map.h.

References alpha.

## get_beta()

double Lorene::Map_log::get_beta | ( | int | l | ) | const

inline

Returns in the domain `l`.

Definition at line 3639 of file map.h.

References beta.

## get_type()

int Lorene::Map_log::get_type | ( | int | l | ) | const

inline

Returns the type of description in the domain `l`.

Definition at line 3641 of file map.h.

References type_var.

## homothetie()

void Lorene::Map_log::homothetie | ( | double |  | ) |

virtual

Definition at line 93 of file map_log_pas_fait.C.

## inc2_dzpuis()

void Lorene::Map_radial::inc2_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Increases by 2 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 799 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## inc_dzpuis()

void Lorene::Map_radial::inc_dzpuis | ( | Scalar & | ci | ) | const

virtual inherited

Increases by 1 the value of `dzpuis` of a `Scalar` and changes accordingly its values in the
compactified external domain (CED).

Definition at line 696 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## integrale()

Tbl * Lorene::Map_log::integrale | ( | const Cmp & |  | ) | const

virtual

< Not implemented

Definition at line 149 of file map_log_pas_fait.C.

## lapang()

void Lorene::Map_log::lapang | ( | const Scalar & | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 145 of file map_log_pas_fait.C.

## laplacien() [1/2]

void Lorene::Map_log::laplacien | ( | const Cmp & | ,
|  | int | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 137 of file map_log_pas_fait.C.

## laplacien() [2/2]

void Lorene::Map_log::laplacien | ( | const Scalar & | ,
|  | int | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 141 of file map_log_pas_fait.C.

## mp_angu()

const Map_af & Lorene::Map_log::mp_angu | ( | int |  | ) | const

virtual

Returns the "angular" mapping for the outside of domain `l_zone`.

Valid only for the class `Map_af`.

Definition at line 196 of file map_log_pas_fait.C.

References Lorene::p_mp_angu.

## mult_cost()

void Lorene::Map_radial::mult_cost | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 61 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_ct(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## mult_r() [1/2]

void Lorene::Map_radial::mult_r | ( | Cmp & | ci | ) | const

virtual inherited

Multiplication by r of a `Cmp`.

In the CED, there is only a decrement of `dzpuis`

Definition at line 219 of file map_radial_r_manip.C.

References Lorene::Cmp::annule(), Lorene::Valeur::base, Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::va, and xsr.

## mult_r() [2/2]

void Lorene::Map_radial::mult_r | ( | Scalar & | uu | ) | const

virtual inherited

Multiplication by r of a `Scalar`, the `dzpuis`
of `uu` is not changed.

Definition at line 144 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_r_zec()

void Lorene::Map_radial::mult_r_zec | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by r (in the compactified external domain only) of a `Scalar`.

Definition at line 296 of file map_radial_r_manip.C.

References Lorene::Valeur::annule(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_rsint()

void Lorene::Map_radial::mult_rsint | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 355 of file map_radial_r_manip.C.

References Lorene::Scalar::annule(), Lorene::Tensor::annule_domain(), Lorene::Valeur::base, Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_st(), Lorene::Valeur::mult_x(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Valeur::sxm1_zec(), and xsr.

## mult_sint()

void Lorene::Map_radial::mult_sint | ( | Scalar & | ci | ) | const

virtual inherited

Multiplication by of a `Scalar`.

Definition at line 109 of file map_radial_th_manip.C.

References Lorene::Scalar::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::mult_st(), Lorene::Scalar::set_etat_qcq(), and Lorene::Scalar::set_spectral_va().

## operator=()

void Lorene::Map_log::operator= | ( | const Map_af & | mpa | ) |

virtual

Assignment to an affine mapping.

Implements Lorene::Map_radial.

Definition at line 230 of file map_log.C.

References alpha, beta, Lorene::Map_af::get_alpha(), Lorene::Map_af::get_beta(), Lorene::Map_radial::reset_coord(), Lorene::set_ori(), Lorene::set_rot_phi(), and type_var.

## operator==()

bool Lorene::Map_log::operator== | ( | const Map & |  | ) | const

virtual

Comparison operator (egality).

Implements Lorene::Map_radial.

Definition at line 172 of file map_log.C.

References alpha, beta, Lorene::bvect_cart, Lorene::bvect_spher, Lorene::diffrelmax(), Lorene::Map(), Map_log(), and type_var.

## operator>>()

ostream & Lorene::Map_log::operator>> | ( | ostream & | ost | ) | const

virtual

Operator >>.

Definition at line 204 of file map_log.C.

References alpha, beta, Lorene::r, and type_var.

## poisson()

void Lorene::Map_log::poisson | ( | const Cmp & | ,
|  | Param & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 154 of file map_log_pas_fait.C.

## poisson2d()

void Lorene::Map_log::poisson2d | ( | const Cmp & | ,
|  | const Cmp & | ,
|  | Param & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 188 of file map_log_pas_fait.C.

## poisson_angu()

void Lorene::Map_log::poisson_angu | ( | const Scalar & | ,
|  | Param & | ,
|  | Scalar & | ,
|  | double | = 0 ) const

virtual

< Not implemented

Definition at line 167 of file map_log_pas_fait.C.

## poisson_compact() [1/2]

void Lorene::Map_radial::poisson_compact | ( | const Cmp & | source,
|  | const Cmp & | aa,
|  | const Tenseur & | bb,
|  | const Param & | par,
|  | Cmp & | psi ) const

virtual inherited

Resolution of the elliptic equation in the case where the stellar interior is covered by a single domain.

Parameters

  source | [input] source of the above equation
  aa | [input] factor a in the above equation
  bb | [input] vector b in the above equation

  par

  [input/output] parameters of the iterative method of resolution : \ `par.get_int(0)` : [input] maximum number of iterations \ `par.get_double(0)` : [input] required precision: the iterative method is stopped as soon as the relative difference between and is greater than `par.get_double(0)` \ `par.get_double(1)` : [input] relaxation parameter \ `par.get_int_mod(0)` : [output] number of iterations actually used to get the solution.

  psi | [input/output]: input : previously computed value of to start the iteration (if nothing is known a priori, `psi` must be set to zero); output: solution which satisfies .

Definition at line 155 of file map_radial_poisson_cpt.C.

References Lorene::Cmp::annule(), Lorene::bvect_spher, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::Valeur::d2sdx2(), Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Valeur::dsdx(), dxdr, Lorene::Param::get_double(), Lorene::Cmp::get_etat(), Lorene::Tenseur::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Valeur::lapang(), Lorene::Cmp::laplacien(), Lorene::max(), Lorene::min(), Lorene::Valeur::mult_x(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Cmp::srdsdt(), Lorene::Cmp::srstdsdp(), Lorene::Valeur::std_base_scal(), Lorene::Valeur::sx(), Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## poisson_compact() [2/2]

void Lorene::Map_radial::poisson_compact | ( | int | nzet,
|  | const Cmp & | source,
|  | const Cmp & | aa,
|  | const Tenseur & | bb,
|  | const Param & | par,
|  | Cmp & | psi ) const

virtual inherited

Resolution of the elliptic equation in the case of a multidomain stellar interior.

Parameters

  nzet | [input] number of domains covering the stellar interior
  source | [input] source of the above equation
  aa | [input] factor a in the above equation
  bb | [input] vector b in the above equation
  par | [input/output] possible parameters to control the resolution of the equation. See the actual implementation in the derived class of `Map` for documentation.
  psi | [input/output] solution which satisfies .

Definition at line 453 of file map_radial_poisson_cpt.C.

References Lorene::Cmp::annule(), Lorene::Mtbl::annule_hard(), Lorene::Tbl::annule_hard(), Lorene::bvect_spher, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Map_af::dsdr(), Lorene::Param::get_double(), Lorene::Cmp::get_etat(), Lorene::Tenseur::get_etat(), Lorene::Param::get_int(), Lorene::Param::get_int_mod(), Lorene::Cmp::get_mp(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_triad(), Lorene::Cmp::laplacien(), Lorene::Map_af::laplacien(), Lorene::max(), Lorene::min(), poisson_compact(), Lorene::Mtbl::set(), Lorene::Tbl::set(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Cmp::srdsdt(), Lorene::Cmp::srstdsdp(), Lorene::Valeur::std_base_scal(), Lorene::Tbl::t, Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## poisson_falloff()

void Lorene::Map_log::poisson_falloff | ( | const Cmp & | ,
|  | Param & | ,
|  | Cmp & | ,
|  | int | ) const

virtual

< Not implemented

Definition at line 206 of file map_log_pas_fait.C.

## poisson_frontiere()

void Lorene::Map_log::poisson_frontiere | ( | const Cmp & | ,
|  | const Valeur & | ,
|  | int | ,
|  | int | ,
|  | Cmp & | ,
|  | double | = 0.,
|  | double | = 0. ) const

virtual

< Not implemented

Definition at line 176 of file map_log_pas_fait.C.

## poisson_frontiere_double()

void Lorene::Map_log::poisson_frontiere_double | ( | const Cmp & | ,
|  | const Valeur & | ,
|  | const Valeur & | ,
|  | int | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 180 of file map_log_pas_fait.C.

## poisson_interne()

void Lorene::Map_log::poisson_interne | ( | const Cmp & | ,
|  | const Valeur & | ,
|  | Param & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 184 of file map_log_pas_fait.C.

## poisson_regular()

void Lorene::Map_log::poisson_regular | ( | const Cmp & | ,
|  | int | ,
|  | int | ,
|  | double | ,
|  | Param & | ,
|  | Cmp & | ,
|  | Cmp & | ,
|  | Cmp & | ,
|  | Tenseur & | ,
|  | Cmp & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 162 of file map_log_pas_fait.C.

## poisson_tau()

void Lorene::Map_log::poisson_tau | ( | const Cmp & | ,
|  | Param & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 158 of file map_log_pas_fait.C.

## poisson_ylm()

void Lorene::Map_log::poisson_ylm | ( | const Cmp & | ,
|  | Param & | ,
|  | Cmp & | ,
|  | int | ,
|  | double * | ) const

virtual

< Not implemented

Definition at line 210 of file map_log_pas_fait.C.

## primr()

void Lorene::Map_log::primr | ( | const Scalar & | ,
|  | Scalar & | ,
|  | bool | ) const

virtual

< Not implemented

Definition at line 202 of file map_log_pas_fait.C.

## reevaluate() [1/2]

void Lorene::Map_radial::reevaluate | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Cmp & | uu ) const

virtual inherited

Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Cmp` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Cmp` at the grid points defined by `*this`.

Definition at line 58 of file map_radial_reevaluate.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Cmp::annule(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Mtbl::t, Lorene::Cmp::va, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk().

## reevaluate() [2/2]

void Lorene::Map_radial::reevaluate | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Scalar & | uu ) const

virtual inherited

Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Scalar` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Scalar` at the grid points defined by `*this`.

Definition at line 173 of file map_radial_reevaluate.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Scalar::annule(), Lorene::Valeur::coef(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk().

## reevaluate_symy() [1/2]

void Lorene::Map_radial::reevaluate_symy | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Cmp & | uu ) const

virtual inherited

Recomputes the values of a `Cmp` at the collocation points after a change in the mapping.

Case where the `Cmp` is symmetric with respect to the plane y=0.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Cmp` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Cmp` at the grid points defined by `*this`.

Definition at line 59 of file map_radial_reeval_symy.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Cmp::annule(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Mtbl::t, Lorene::Cmp::va, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk_symy().

## reevaluate_symy() [2/2]

void Lorene::Map_radial::reevaluate_symy | ( | const Map * | mp_prev,
|  | int | nzet,
|  | Scalar & | uu ) const

virtual inherited

Recomputes the values of a `Scalar` at the collocation points after a change in the mapping.

Case where the `Scalar` is symmetric with respect to the plane y=0.

Parameters

  mp_prev | [input] Previous value of the mapping.
  nzet | [input] Number of domains where the computation must be done: the computation is performed for the domains of index ; `uu` is set to zero in the other domains.
  uu | [input/output] input : `Scalar` previously computed on the mapping `*mp_prev` ; ouput : values of (logically) the same `Scalar` at the grid points defined by `*this`.

Definition at line 193 of file map_radial_reeval_symy.C.

References Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Scalar::annule(), Lorene::Valeur::coef(), Lorene::Scalar::get_dzpuis(), Lorene::Scalar::get_etat(), Lorene::Tensor::get_mp(), Lorene::Map(), Map_radial(), Lorene::r, Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, val_lx_jk(), and Lorene::Mtbl_cf::val_point_jk_symy().

## reset_coord()

void Lorene::Map_radial::reset_coord | ( |  | ) |

protected virtual inherited

Resets all the member `Coords`.

Reimplemented in Lorene::Map_et.

Definition at line 126 of file map_radial.C.

References d2rdtdx, d2rdx2, drdt, dxdr, lapr_tp, sr2d2rdt2, sr2drdt, sr2stdrdp, srdrdt, srstdrdp, sstd2rdpdx, stdrdp, and xsr.

## resize()

void Lorene::Map_log::resize | ( | int | ,
|  | double | )

virtual

< Not implemented

Definition at line 97 of file map_log_pas_fait.C.

## sauve()

void Lorene::Map_log::sauve | ( | FILE * | fd | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Map_radial.

Definition at line 163 of file map_log.C.

References alpha, beta, Lorene::Map_radial::sauve(), and type_var.

## set_coord()

void Lorene::Map_log::set_coord | ( |  | ) |

private

Definition at line 257 of file map_log.C.

## sol_elliptic()

void Lorene::Map_log::sol_elliptic | ( | Param_elliptic & | params,
|  | const Scalar & | so,
|  | Scalar & | uu ) const

General elliptic solver.

The field is zero at infinity.

Parameters

  params | [input] : the operators and variables to be uses.
  so | [input] : the source.
  uu | [output] : the solution.

Definition at line 75 of file map_log_elliptic.C.

References Lorene::Valeur::c_cf, Lorene::Scalar::check_dzpuis(), Lorene::Valeur::coef(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Param_elliptic::var_F, Lorene::Param_elliptic::var_G, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## sol_elliptic_boundary() [1/2]

void Lorene::Map_log::sol_elliptic_boundary | ( | Param_elliptic & | params,
|  | const Scalar & | so,
|  | Scalar & | uu,
|  | const Mtbl_cf & | bound,
|  | double | fact_dir,
|  | double | fact_neu ) const

General elliptic solver including inner boundary conditions.

The field is zero at infinity.

Parameters

  params | [input] : the operators and variables to be uses.
  so | [input] : the source.
  uu | [output] : the solution.
  bound | [input] : the boundary condition
  fact_dir | : 1 Dirchlet condition, 0 Neumann condition
  fact_neu | : 0 Dirchlet condition, 1 Neumann condition

Definition at line 132 of file map_log_elliptic.C.

References Lorene::Valeur::c_cf, Lorene::Scalar::check_dzpuis(), Lorene::Valeur::coef(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Param_elliptic::var_F, Lorene::Param_elliptic::var_G, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## sol_elliptic_boundary() [2/2]

void Lorene::Map_log::sol_elliptic_boundary | ( | Param_elliptic & | params,
|  | const Scalar & | so,
|  | Scalar & | uu,
|  | const Scalar & | bound,
|  | double | fact_dir,
|  | double | fact_neu ) const

General elliptic solver including inner boundary conditions, the bound being given as a Scalar on a mono-domain angular grid.

Definition at line 191 of file map_log_elliptic.C.

References Lorene::Mtbl_cf::annule_hard(), Lorene::Valeur::c_cf, Lorene::Scalar::check_dzpuis(), Lorene::Valeur::coef(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Tensor::get_mp(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Scalar::get_spectral_base(), Lorene::Scalar::get_spectral_va(), Lorene::Map(), Lorene::Mtbl_cf::set(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Param_elliptic::var_F, Lorene::Param_elliptic::var_G, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## sol_elliptic_no_zec()

void Lorene::Map_log::sol_elliptic_no_zec | ( | Param_elliptic & | params,
|  | const Scalar & | so,
|  | Scalar & | uu,
|  | double | val ) const

General elliptic solver.

The equation is not solved in the compactified domain.

Parameters

  params | [input] : the operators and variables to be uses.
  so | [input] : the source.
  uu | [output] : the solution.
  val | [input] : value at the last shell.

Definition at line 275 of file map_log_elliptic.C.

References Lorene::Valeur::c_cf, Lorene::Scalar::check_dzpuis(), Lorene::Valeur::coef(), Lorene::Scalar::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Tensor::get_mp(), Lorene::Scalar::get_spectral_va(), Lorene::Scalar::set_dzpuis(), Lorene::Scalar::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Param_elliptic::var_F, Lorene::Param_elliptic::var_G, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## srdsdt() [1/2]

void Lorene::Map_log::srdsdt | ( | const Cmp & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 113 of file map_log_pas_fait.C.

## srdsdt() [2/2]

void Lorene::Map_log::srdsdt | ( | const Scalar & | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 121 of file map_log_pas_fait.C.

## srstdsdp() [1/2]

void Lorene::Map_log::srstdsdp | ( | const Cmp & | ,
|  | Cmp & | ) const

virtual

< Not implemented

Definition at line 117 of file map_log_pas_fait.C.

## srstdsdp() [2/2]

void Lorene::Map_log::srstdsdp | ( | const Scalar & | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 125 of file map_log_pas_fait.C.

## stdsdp()

void Lorene::Map_log::stdsdp | ( | const Scalar & | ,
|  | Scalar & | ) const

virtual

< Not implemented

Definition at line 133 of file map_log_pas_fait.C.

## val_lx() [1/2]

void Lorene::Map_log::val_lx | ( | double | rr,
|  | double | theta,
|  | double | pphi,
|  | const Param & | par,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point given by its physical coordinates .

Parameters

  rr | [input] value of r
  theta | [input] value of
  pphi | [input] value of
  par | [] unused by the `Map_af` version
  l | [output] value of the domain index
  xi | [output] value of

Definition at line 204 of file map_log_radius.C.

References val_lx().

## val_lx() [2/2]

void Lorene::Map_log::val_lx | ( | double | rr,
|  | double | theta,
|  | double | pphi,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point given by its physical coordinates .

Parameters

  rr | [input] value of r
  theta | [input] value of
  pphi | [input] value of
  l | [output] value of the domain index
  xi | [output] value of

Definition at line 118 of file map_log_radius.C.

References alpha, beta, Lorene::exp(), Lorene::log(), and type_var.

## val_lx_jk()

void Lorene::Map_log::val_lx_jk | ( | double | rr,
|  | int | j,
|  | int | k,
|  | const Param & | par,
|  | int & | l,
|  | double & | xi ) const

virtual

Computes the domain index l and the value of corresponding to a point of arbitrary r but collocation values of .

Parameters

  rr | [input] value of r
  j | [input] index of the collocation point in
  k | [input] index of the collocation point in
  par | [] unused by the `Map_af` version
  l | [output] value of the domain index
  xi | [output] value of

Implements Lorene::Map_radial.

Definition at line 227 of file map_log_radius.C.

References val_lx().

## val_r()

double Lorene::Map_log::val_r | ( | int | l,
|  | double | xi,
|  | double | theta,
|  | double | pphi ) const

virtual

Returns the value of the radial coordinate r for a given in a given domain.

Parameters

  l | [input] index of the domain
  xi | [input] value of
  theta | [input] value of
  pphi | [input] value of

Returns
  value of

Definition at line 61 of file map_log_radius.C.

References alpha, beta, Lorene::exp(), and type_var.

## val_r_jk()

double Lorene::Map_log::val_r_jk | ( | int | l,
|  | double | xi,
|  | int | j,
|  | int | k ) const

virtual

< Comparison operator

Returns the value of the radial coordinate r for a given and a given collocation point in in a given domain.

Parameters

  l | [input] index of the domain
  xi | [input] value of
  j | [input] index of the collocation point in
  k | [input] index of the collocation point in

Returns
  value of

Implements Lorene::Map_radial.

Definition at line 217 of file map_log_radius.C.

References val_r().

## Friends And Related Symbol Documentation

## map_log_fait_cosp

Mtbl * map_log_fait_cosp | ( | const Map * | cvi | ) |

friend

Definition at line 467 of file map_log_fait.C.

## map_log_fait_cost

Mtbl * map_log_fait_cost | ( | const Map * | cvi | ) |

friend

Definition at line 399 of file map_log_fait.C.

## map_log_fait_d2rdtdx

Mtbl * map_log_fait_d2rdtdx | ( | const Map * | cvi | ) |

friend

Definition at line 923 of file map_log_fait.C.

## map_log_fait_d2rdx2

Mtbl * map_log_fait_d2rdx2 | ( | const Map * | cvi | ) |

friend

Definition at line 822 of file map_log_fait.C.

## map_log_fait_drdt

Mtbl * map_log_fait_drdt | ( | const Map * | cvi | ) |

friend

Definition at line 714 of file map_log_fait.C.

## map_log_fait_dxdlnr

Mtbl * map_log_fait_dxdlnr | ( | const Map * | cvi | ) |

friend

Definition at line 977 of file map_log_fait.C.

## map_log_fait_dxdr

Mtbl * map_log_fait_dxdr | ( | const Map * | cvi | ) |

friend

Definition at line 616 of file map_log_fait.C.

## map_log_fait_lapr_tp

Mtbl * map_log_fait_lapr_tp | ( | const Map * | cvi | ) |

friend

Definition at line 905 of file map_log_fait.C.

## map_log_fait_phi

Mtbl * map_log_fait_phi | ( | const Map * | cvi | ) |

friend

Definition at line 193 of file map_log_fait.C.

## map_log_fait_r

Mtbl * map_log_fait_r | ( | const Map * | cvi | ) |

friend

< Not implemented

Definition at line 57 of file map_log_fait.C.

References alpha, beta, Lorene::exp(), Lorene::Mg3d::get_grille3d(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Mg3d::get_type_r(), Lorene::Map(), Map_log(), map_log_fait_r, Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Mtbl::t, Lorene::Tbl::t, type_var, and Lorene::Grille3d::x.

## map_log_fait_sinp

Mtbl * map_log_fait_sinp | ( | const Map * | cvi | ) |

friend

Definition at line 433 of file map_log_fait.C.

## map_log_fait_sint

Mtbl * map_log_fait_sint | ( | const Map * | cvi | ) |

friend

Definition at line 365 of file map_log_fait.C.

## map_log_fait_sr2d2rdt2

Mtbl * map_log_fait_sr2d2rdt2 | ( | const Map * | cvi | ) |

friend

Definition at line 959 of file map_log_fait.C.

## map_log_fait_sr2drdt

Mtbl * map_log_fait_sr2drdt | ( | const Map * | cvi | ) |

friend

Definition at line 786 of file map_log_fait.C.

## map_log_fait_sr2stdrdp

Mtbl * map_log_fait_sr2stdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 804 of file map_log_fait.C.

## map_log_fait_srdrdt

Mtbl * map_log_fait_srdrdt | ( | const Map * | cvi | ) |

friend

Definition at line 750 of file map_log_fait.C.

## map_log_fait_srstdrdp

Mtbl * map_log_fait_srstdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 768 of file map_log_fait.C.

## map_log_fait_sstd2rdpdx

Mtbl * map_log_fait_sstd2rdpdx | ( | const Map * | cvi | ) |

friend

Definition at line 941 of file map_log_fait.C.

## map_log_fait_stdrdp

Mtbl * map_log_fait_stdrdp | ( | const Map * | cvi | ) |

friend

Definition at line 732 of file map_log_fait.C.

## map_log_fait_tet

Mtbl * map_log_fait_tet | ( | const Map * | cvi | ) |

friend

Definition at line 155 of file map_log_fait.C.

## map_log_fait_x

Mtbl * map_log_fait_x | ( | const Map * | cvi | ) |

friend

Definition at line 231 of file map_log_fait.C.

## map_log_fait_xa

Mtbl * map_log_fait_xa | ( | const Map * | cvi | ) |

friend

Definition at line 285 of file map_log_fait.C.

## map_log_fait_xsr

Mtbl * map_log_fait_xsr | ( | const Map * | cvi | ) |

friend

Definition at line 507 of file map_log_fait.C.

## map_log_fait_y

Mtbl * map_log_fait_y | ( | const Map * | cvi | ) |

friend

Definition at line 249 of file map_log_fait.C.

## map_log_fait_ya

Mtbl * map_log_fait_ya | ( | const Map * | cvi | ) |

friend

Definition at line 315 of file map_log_fait.C.

## map_log_fait_z

Mtbl * map_log_fait_z | ( | const Map * | cvi | ) |

friend

Definition at line 267 of file map_log_fait.C.

## map_log_fait_za

Mtbl * map_log_fait_za | ( | const Map * | cvi | ) |

friend

Definition at line 345 of file map_log_fait.C.

## Member Data Documentation

## alpha

Tbl Lorene::Map_log::alpha

private

Array (size: `mg->nzone` ) of the values of in each domain.

Definition at line 3589 of file map.h.

## beta

Tbl Lorene::Map_log::beta

private

Array (size: `mg->nzone` ) of the values of in each domain.

Definition at line 3591 of file map.h.

## d2rdtdx

Coord Lorene::Map_radial::d2rdtdx

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1640 of file map.h.

## d2rdx2

Coord Lorene::Map_radial::d2rdx2

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1619 of file map.h.

## drdt

Coord Lorene::Map_radial::drdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).

Definition at line 1568 of file map.h.

## dxdlnr

Coord Lorene::Map_log::dxdlnr

Same as dxdr if the domains where the description is affine and where it is logarithmic.

Definition at line 3603 of file map.h.

## dxdr

Coord Lorene::Map_radial::dxdr

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1560 of file map.h.

## lapr_tp

Coord Lorene::Map_radial::lapr_tp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1631 of file map.h.

## sr2d2rdt2

Coord Lorene::Map_radial::sr2d2rdt2

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1657 of file map.h.

## sr2drdt

Coord Lorene::Map_radial::sr2drdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1600 of file map.h.

## sr2stdrdp

Coord Lorene::Map_radial::sr2stdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1608 of file map.h.

## srdrdt

Coord Lorene::Map_radial::srdrdt

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1584 of file map.h.

## srstdrdp

Coord Lorene::Map_radial::srstdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1592 of file map.h.

## sstd2rdpdx

Coord Lorene::Map_radial::sstd2rdpdx

inherited

in the nucleus and in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1648 of file map.h.

## stdrdp

Coord Lorene::Map_radial::stdrdp

inherited

in the nucleus and in the non-compactified shells; \ in the compactified external domain (CED).

Definition at line 1576 of file map.h.

## type_var

Itbl Lorene::Map_log::type_var

private

Array (size: `mg->nzone` ) of the type of variable in each domain.

The possibles types are AFFINE and LOG.

Definition at line 3595 of file map.h.

## xsr

Coord Lorene::Map_radial::xsr

inherited

in the nucleus; \ 1/R in the non-compactified shells; \ in the compactified outer domain.

Definition at line 1549 of file map.h.

The documentation for this class was generated from the following files:

- map.h
- map_log.C
- map_log_deriv.C
- map_log_elliptic.C
- map_log_pas_fait.C
- map_log_radius.C